## pktools 2.6.7

=== CMakeLists.txt ===
###############################################################################
#
# CMake build scripts for PKTOOLS
# 
#
# History
# 2010/12/14 - Created by Peter Bunting for SPDLib
# 2012/02/07 - Edited by Peter Bunting for PKTOOLS
# 2014/11/22 - Edited by Peter Bunting for pktools
# 2015/12/10 - Edited by Pieter Kempeneers and Kris Vanhoof
# Change log
# Find package lib
# Boost: disable auto linking: add_definitions("-DBOOST_ALL_NO_LIB")
# add cmake env variable Boost_COMPILER -vc110
# FANN: create library CMake: add ADD_DEFINITIONS(-DFANN_DLL_EXPORTS)
# GDAL: disabled macro for Visual Studio 2015
#if defined(_MSC_VER) && (_MSC_VER < 1900)
#  define snprintf _snprintf
#endif
#set CMAKE_INSTALL_PREFIX to C:/OSGeo4W64;C:/Users/kempenep/Downloads/FANN-2.2.0-Source/FANN-2.2.0-Source/install;C:/Users/kempenep/Downloads/armadillo-6.200.4/install;C:\Users\kempenep\Downloads\nlopt-2.4.2-dll64
#
###############################################################################
cmake_minimum_required(VERSION 2.6.0)
#cmake_minimum_required(VERSION 2.8)
###############################################################################
# Set Project name and version
project (PKTOOLS)

set (PROJECT_BINARY_DIR bin)
set (PROJECT_LIBRARY_DIR lib)
set (PROJECT_INCLUDE_DIR include/pktools)
set (PROJECT_DOC_DIR doc)
set (PROJECT_SOURCE_DIR src)

# The version number.
set (PKTOOLS_VERSION_MAJOR 2)
set (PKTOOLS_VERSION_MINOR 6)
set (PKTOOLS_VERSION_PATCH 7)
set (PKTOOLS_VERSION "${PKTOOLS_VERSION_MAJOR}.${PKTOOLS_VERSION_MINOR}.${PKTOOLS_VERSION_PATCH}")
set (PKTOOLS_PACKAGE_VERSION "${PKTOOLS_VERSION_MAJOR}.${PKTOOLS_VERSION_MINOR}.${PKTOOLS_VERSION_PATCH}")
set (PKTOOLS_PACKAGE_STRING "PKTOOLS ${PKTOOLS_VERSION_MAJOR}.${PKTOOLS_VERSION_MINOR}.${PKTOOLS_VERSION_PATCH}")
set (PKTOOLS_PACKAGE_BUGREPORT "kempenep@gmail.com")
set (PKTOOLS_PACKAGE "pktools")
set (PKTOOLS_COPYRIGHT_YEAR 2016)

set (PKTOOLS_ALGORITHMS_VERSION_MAJOR 1)
set (PKTOOLS_ALGORITHMS_VERSION_MINOR 6)
set (PKTOOLS_ALGORITHMS_VERSION_PATCH 0)
set (PKTOOLS_ALGORITHMS_VERSION "${PKTOOLS_ALGORITHMS_VERSION_MAJOR}.${PKTOOLS_ALGORITHMS_VERSION_MINOR}.${PKTOOLS_ALGORITHMS_VERSION_PATCH}")

set (PKTOOLS_FILECLASSES_VERSION_MAJOR 1)
set (PKTOOLS_FILECLASSES_VERSION_MINOR 6)
set (PKTOOLS_FILECLASSES_VERSION_PATCH 0)
set (PKTOOLS_FILECLASSES_VERSION "${PKTOOLS_FILECLASSES_VERSION_MAJOR}.${PKTOOLS_FILECLASSES_VERSION_MINOR}.${PKTOOLS_FILECLASSES_VERSION_PATCH}")

set (PKTOOLS_IMAGECLASSES_VERSION_MAJOR 1)
set (PKTOOLS_IMAGECLASSES_VERSION_MINOR 6)
set (PKTOOLS_IMAGECLASSES_VERSION_PATCH 0)
set (PKTOOLS_IMAGECLASSES_VERSION "${PKTOOLS_IMAGECLASSES_VERSION_MAJOR}.${PKTOOLS_IMAGECLASSES_VERSION_MINOR}.${PKTOOLS_IMAGECLASSES_VERSION_PATCH}")

set (PKTOOLS_LASCLASSES_VERSION_MAJOR 1)
set (PKTOOLS_LASCLASSES_VERSION_MINOR 6)
set (PKTOOLS_LASCLASSES_VERSION_PATCH 0)
set (PKTOOLS_LASCLASSES_VERSION "${PKTOOLS_LASCLASSES_VERSION_MAJOR}.${PKTOOLS_LASCLASSES_VERSION_MINOR}.${PKTOOLS_LASCLASSES_VERSION_PATCH}")

# Name of C++ library
set(PKTOOLS_BASE_LIB_NAME base)
set(PKTOOLS_ALGORITHMS_LIB_NAME algorithms)
set(PKTOOLS_FILECLASSES_LIB_NAME fileClasses)
set(PKTOOLS_IMAGECLASSES_LIB_NAME imageClasses)
set(PKTOOLS_LASCLASSES_LIB_NAME lasClasses)

option (BUILD_SHARED_LIBS "Build with shared library" OFF)
set(BUILD_WITH_LIBLAS FALSE CACHE BOOL "Choose if pktools is to be built with liblas")
set(BUILD_WITH_FANN FALSE CACHE BOOL "Choose if pktools is to be built with fann")
#set(BUILD_WITH_NLOPT FALSE CACHE BOOL "Choose if pktools is to be built with nlopt")
set(PKTOOLS_WITH_UTILITIES TRUE CACHE BOOL "Choose if pktools utilities should be built")

set(GSL_INCLUDE_DIR /usr/include CACHE PATH "Include PATH for GSL")
set(GSL_LIB_PATH /usr/lib CACHE PATH "Library PATH for GSL")

###############################################################################

###############################################################################
# CMake settings
# cmake_minimum_required(VERSION 2.6.0)

IF(NOT CMAKE_BUILD_TYPE)
  #SET(CMAKE_BUILD_TYPE "DEBUG")
  SET(CMAKE_BUILD_TYPE "RELEASE")
  #SET(CMAKE_BUILD_TYPE "RELWITHDEBINFO")
  #SET(CMAKE_BUILD_TYPE "MINSIZEREL")
ENDIF()

set(CMAKE_COLOR_MAKEFILE ON)

# Allow advanced users to generate Makefiles printing detailed commands
mark_as_advanced(CMAKE_VERBOSE_MAKEFILE)

# Path to additional CMake modules
list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
###############################################################################

###############################################################################
# Setup configure file
configure_file ( "cmake-config.h.in" "${CMAKE_CURRENT_BINARY_DIR}/base/config.h" @ONLY)
include_directories("${CMAKE_CURRENT_BINARY_DIR}/base")
add_definitions(-DHAVE_CONFIG_H)
###############################################################################

###############################################################################
# Documentation
#file(READ "doc/index.txt" README )
file(WRITE "README.txt" "${README}")
###############################################################################

###############################################################################
# Platform and compiler specific settings

if(WIN32)
    if (MSVC)
        if (MSVC80 OR MSVC90 OR MSVC10)
            add_definitions(-D_CRT_SECURE_NO_DEPRECATE)
            add_definitions(-D_CRT_SECURE_NO_WARNINGS)
            add_definitions(-D_CRT_NONSTDC_NO_WARNING)
            add_definitions(-D_SCL_SECURE_NO_WARNINGS)
        endif()
        
        if(CMAKE_CXX_FLAGS MATCHES "/W[0-4]")
            string(REGEX REPLACE "/W[0-4]" "/W4"
                   CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
        else()
            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W4")
        endif()

        # Generate dot-user file with user-specific settings for Visual Studio project
        set(MSVC_ENVIRONMENT_PATH "" CACHE STRING
            "Custom PATH for Environment property in Visual Studio project configuration")
        mark_as_advanced(MSVC_ENVIRONMENT_PATH)
        set(VCPROJ_USER_ENVIRONMENT_PATH_DEBUG "${ENVIRONMENT_PATH}")
        mark_as_advanced(VCPROJ_USER_ENVIRONMENT_PATH_DEBUG)

    endif()

	set(CMAKE_INCLUDE_PATH c:/osgeo4w/include;$ENV{CMAKE_INCLUDE_PATH})
    set(CMAKE_LIBRARY_PATH c:/osgeo4w/lib;$ENV{CMAKE_LIBRARY_PATH})
else()
  # Recommended C++ compilation flags
  # -Weffc++
  set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -pg")
  set(PKTOOLS_COMMON_CXX_FLAGS
    "-Wall -Wpointer-arith -Wcast-align -Wcast-qual -Wredundant-decls -Wno-long-long")

  if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)

    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC ${PKTOOLS_COMMON_CXX_FLAGS}")
    if (CMAKE_COMPILER_IS_GNUCXX)
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++98")
    endif()

  elseif("${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang" OR "${CMAKE_CXX_COMPILER}" MATCHES "clang")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${PKTOOLS_COMMON_CXX_FLAGS}")
  endif()
endif(WIN32)

if (APPLE)
  set(SO_EXT dylib)
 # set(CMAKE_FIND_FRAMEWORK "LAST")
elseif(WIN32)
  set(SO_EXT dll)
else()
  set(SO_EXT so)
endif(APPLE)
###############################################################################

###############################################################################
# Check the required libraries are present

#include_directories(${GDAL_INCLUDE_DIR})
#if (MSVC)
#  set(GDAL_LIBRARIES -LIBPATH:${GDAL_LIB_PATH} gdal_i.lib)
#else()
#  set(GDAL_LIBRARIES -L${GDAL_LIB_PATH} -lgdal)
#endif(MSVC)

find_package(GDAL 1.10 REQUIRED)
if(GDAL_FOUND)
	include_directories(${GDAL_INCLUDE_DIRS})
endif()

find_package(GSL REQUIRED)
if(GSL_FOUND)
  include_directories(${GSL_INCLUDE_DIRS})
  add_definitions(-DGSL_DLL)
endif()

find_package(Armadillo REQUIRED)
if(ARMADILLO_FOUND)
	include_directories(${ARMADILLO_INCLUDE_DIRS})
endif()

if (BUILD_WITH_LIBLAS)
	find_package(LIBLAS)
	if(LIBLAS_FOUND)
	  include_directories(${LIBLAS_INCLUDE_DIRS})
	endif()
	set(Boost_DEBUG 0)
	find_package(Boost COMPONENTS filesystem system)
	if(Boost_FOUND)
		include_directories(${Boost_INCLUDE_DIRS})
		add_definitions("-DBOOST_ALL_NO_LIB")
	endif()
	
#	include_directories(${BOOST_INCLUDE_DIR})
#	if (MSVC)
#		set(BOOST_LIBRARIES -LIBPATH:${BOOST_LIB_PATH} libboost_filesystem-vc100-mt-1_56.lib libboost_system-vc100-mt-1_56.lib)
#	else()
#		set(BOOST_LIBRARIES -L${BOOST_LIB_PATH} -lboost_filesystem -lboost_system)
#	endif(MSVC)
endif(BUILD_WITH_LIBLAS)

if (BUILD_WITH_FANN)
	find_package(FANN)
	if(FANN_FOUND)
		include_directories(${FANN_INCLUDE_DIRS})
		add_definitions(-DFANN_DLL)
	endif()
endif(BUILD_WITH_FANN)

# if (BUILD_WITH_NLOPT)
#   find_package(NLOPT)
#   if(NLOPT_FOUND)
#     include_directories(${NLOPT_INCLUDE_DIRS})
#     add_definitions(-DNLOPT_DLL)
#   endif()
# endif(BUILD_WITH_NLOPT)
###############################################################################

###############################################################################
# Build libraries
include_directories("${PROJECT_SOURCE_DIR}")
add_subdirectory ("${PROJECT_SOURCE_DIR}")
###############################################################################

###############################################################################
# Build executables

#configure_file ( "cmake-config.in" "${PROJECT_BINARY_DIR}/pktools-config" @ONLY )
#test
configure_file ( "cmake-config.in" "${CMAKE_CURRENT_BINARY_DIR}/pktools-config" @ONLY )
configure_file ( "cmake.pc.in" "pktools.pc"  @ONLY)


set_property(GLOBAL PROPERTY USE_FOLDERS ON)

set(PKLIBS ${PKTOOLS_BASE_LIB_NAME} ${PKTOOLS_IMAGECLASSES_LIB_NAME} ${PKTOOLS_FILECLASSES_LIB_NAME} ${PKTOOLS_ALGORITHMS_LIB_NAME} ${GDAL_LIBRARIES} ${GSL_LIBRARIES} ${ARMADILLO_LIBRARIES} ${Boost_LIBRARIES})

set(PKUTILITIES
  pkinfo
  pkcrop
  pkdiff
  pkgetmask
  pksetmask
  pkcreatect 
  pkdumpimg 
  pkdumpogr 
  pksieve 
  pkstat
  pkstatascii 
  pkstatogr 
  pkstatprofile
  pkegcs 
  pkextractimg
  pkextractogr
  pkfillnodata 
  pkfilter 
  pkfilterdem 
  pkfilterascii 
  pkdsm2shadow 
  pkcomposite
  pkpolygonize 
  pkascii2img 
  pksvm 
  pkfssvm 
  pkoptsvm
  pkascii2ogr 
  pkreclass 
  pkkalman
  )

set(PKFANNUTILITIES
	pkann
	pkfsann
	pkregann
)

# set(PKNLOPTUTILITIES
# 	pkoptsvm
# )

if (PKTOOLS_WITH_UTILITIES)
	foreach(UTILITY ${PKUTILITIES})
    		add_executable(${UTILITY} src/apps/${UTILITY}.cc)
    		target_link_libraries(${UTILITY} ${PKLIBS})
    		set_target_properties(${UTILITY} PROPERTIES FOLDER utilities)
	endforeach()

	if (BUILD_WITH_LIBLAS)
		set(PKLIBS ${PKLIBS} ${PKTOOLS_LASCLASSES_LIB_NAME})
		foreach(PKLASUTILITY ${PKLASUTILITIES})
		add_executable(${PKLASUTILITY} src/apps/${PKLASUTILITY}.cc)
		target_link_libraries (${PKLASUTILITY} 
		${PKLIBS} ${LIBLAS_LIBRARIES})
    		set_target_properties(${PKLASUTILITY} PROPERTIES FOLDER utilities)
		endforeach()
	endif()
	if (BUILD_WITH_FANN)
		set(PKLIBS ${PKLIBS} ${FANN_LIBRARIES})
		foreach(PKFANNUTILITY ${PKFANNUTILITIES})
		add_executable(${PKFANNUTILITY} src/apps/${PKFANNUTILITY}.cc)
		message(${PKLIBS})
		target_link_libraries (${PKFANNUTILITY} ${PKLIBS})
    		set_target_properties(${PKFANNUTILITY} PROPERTIES FOLDER utilities)
		endforeach()
	endif()
	# if (BUILD_WITH_NLOPT)
	# 	set(PKLIBS ${PKLIBS} ${NLOPT_LIBRARIES})
	# 	foreach(PKNLOPTUTILITY ${PKNLOPTUTILITIES})
	# 	add_executable(${PKNLOPTUTILITY} src/apps/${PKNLOPTUTILITY}.cc)
	# 	message(${PKLIBS})
	# 	target_link_libraries (${PKNLOPTUTILITY} ${PKLIBS})
    	# 	set_target_properties(${PKNLOPTUTILITY} PROPERTIES FOLDER utilities)
	# 	endforeach()
	# endif()	
	# add_custom_target(utilities DEPENDS ${PKUTILITIES} ${PKLASUTILITIES} ${PKFANNUTILITIES} ${PKNLOPTUTILITIES})
	add_custom_target(utilities DEPENDS ${PKUTILITIES} ${PKLASUTILITIES} ${PKFANNUTILITIES})
	set_target_properties(utilities PROPERTIES FOLDER 
	phony)

endif()


	
###############################################################################

=== src/CMakeLists.txt ===
###############################################################################
# set file locations
set(BASE_SRC_DIR base)
set(ALGOR_SRC_DIR algorithms)
set(FILECLASS_SRC_DIR fileclasses)
set(IMGCLASS_SRC_DIR imageclasses)
set(LASCLASS_SRC_DIR lasclasses)

set(BASE_H
	${BASE_SRC_DIR}/IndexValue.h
	${BASE_SRC_DIR}/Optionpk.h
	${BASE_SRC_DIR}/PosValue.h
	${BASE_SRC_DIR}/Vector2d.h
	${BASE_SRC_DIR}/Vector2d.cc
#	${BASE_SRC_DIR}/config.h
	)

set(ALGOR_H
	${ALGOR_SRC_DIR}/ConfusionMatrix.h
	${ALGOR_SRC_DIR}/CostFactory.h
	${ALGOR_SRC_DIR}/CostFactorySVM.h
	${ALGOR_SRC_DIR}/Egcs.h
	${ALGOR_SRC_DIR}/FeatureSelector.h
	${ALGOR_SRC_DIR}/Filter.h
	${ALGOR_SRC_DIR}/Filter2d.h
	${ALGOR_SRC_DIR}/ImgRegression.h
	${ALGOR_SRC_DIR}/StatFactory.h
	${ALGOR_SRC_DIR}/myfann_cpp.h
	${ALGOR_SRC_DIR}/svm.h
#	${ALGOR_SRC_DIR}/OptFactory.h
	)

set(ALGOR_CC
	${ALGOR_SRC_DIR}/ConfusionMatrix.cc
	${ALGOR_SRC_DIR}/CostFactorySVM.cc
	${ALGOR_SRC_DIR}/CostFactorySVM.h
	${ALGOR_SRC_DIR}/Egcs.cc
	${ALGOR_SRC_DIR}/Filter.cc
	${ALGOR_SRC_DIR}/Filter2d.cc
	${ALGOR_SRC_DIR}/ImgRegression.cc
	${ALGOR_SRC_DIR}/svm.cpp
	)
	
set(FILECLASS_H
	${FILECLASS_SRC_DIR}/FileReaderAscii.h 
	)

set(FILECLASS_CC
	${FILECLASS_SRC_DIR}/FileReaderAscii.cc 
	)
	
set(IMGCLASS_H
	${IMGCLASS_SRC_DIR}/ImgRasterGdal.h 
	${IMGCLASS_SRC_DIR}/ImgReaderGdal.h 
	${IMGCLASS_SRC_DIR}/ImgReaderOgr.h 
	${IMGCLASS_SRC_DIR}/ImgWriterGdal.h 
	${IMGCLASS_SRC_DIR}/ImgWriterOgr.h 
	${IMGCLASS_SRC_DIR}/ImgUpdaterGdal.h 
	)

set(IMGCLASS_CC
	${IMGCLASS_SRC_DIR}/ImgRasterGdal.cc
	${IMGCLASS_SRC_DIR}/ImgReaderGdal.cc
	${IMGCLASS_SRC_DIR}/ImgReaderOgr.cc
	${IMGCLASS_SRC_DIR}/ImgWriterGdal.cc 
	${IMGCLASS_SRC_DIR}/ImgWriterOgr.cc
	${IMGCLASS_SRC_DIR}/ImgUpdaterGdal.cc 
	)
	
set(LASCLASS_H
	${LASCLASS_SRC_DIR}/FileReaderLas.h 
	)

set(LASCLASS_CC
	${LASCLASS_SRC_DIR}/FileReaderLas.cc 
	)

###############################################################################

###############################################################################
# Group source files for IDE source explorers
source_group("CMake Files" FILES CMakeLists.txt)
source_group("src_base" FILES ${BASE_H})
source_group("src_algor" FILES ${ALGOR_H} ${ALGOR_CC})
source_group("src_fileclass" FILES ${FILECLASS_H} ${FILECLASS_CC})
source_group("src_imgclass" FILES ${IMGCLASS_H} ${IMGCLASS_CC})
source_group("src_lasclass" FILES ${LASCLASS_H} ${LASCLASS_CC})
###############################################################################

###############################################################################
# Build and link library

add_library( ${PKTOOLS_BASE_LIB_NAME} ${BASE_H} )
target_link_libraries(${PKTOOLS_BASE_LIB_NAME} ${GDAL_LIBRARIES} ${GSL_LIBRARIES} ${ARMADILLO_LIBRARIES} )

add_library( ${PKTOOLS_IMAGECLASSES_LIB_NAME} ${IMGCLASS_H} ${IMGCLASS_CC} ${BASE_H} )
target_link_libraries(${PKTOOLS_IMAGECLASSES_LIB_NAME} ${GDAL_LIBRARIES} ${GSL_LIBRARIES} ${ARMADILLO_LIBRARIES} )
# foreach(lib ${GSL_LIBRARIES})
# message(${lib})
# endforeach()
add_library( ${PKTOOLS_ALGORITHMS_LIB_NAME} ${ALGOR_H} ${ALGOR_CC} ${BASE_H} )
target_link_libraries(${PKTOOLS_ALGORITHMS_LIB_NAME} ${GDAL_LIBRARIES} ${GSL_LIBRARIES} ${ARMADILLO_LIBRARIES} ${PKTOOLS_IMAGECLASSES_LIB_NAME} )

add_library( ${PKTOOLS_FILECLASSES_LIB_NAME} ${FILECLASS_H} ${FILECLASS_CC} ${BASE_H} )
target_link_libraries(${PKTOOLS_FILECLASSES_LIB_NAME} ${GDAL_LIBRARIES} ${GSL_LIBRARIES} ${ARMADILLO_LIBRARIES} )

if (BUILD_WITH_LIBLAS)
	add_library( ${PKTOOLS_LASCLASSES_LIB_NAME} ${LASCLASS_H} ${LASCLASS_CC} ${BASE_H} )
	target_link_libraries(${PKTOOLS_FILECLASSES_LIB_NAME} ${LIBLAS_LIBRARIES} ${BOOST_LIBRARIES} ${GDAL_LIBRARIES} ${GSL_LIBRARIES} ${ARMADILLO_LIBRARIES} )
endif(BUILD_WITH_LIBLAS)

###############################################################################

###############################################################################
# Set target properties
SET_TARGET_PROPERTIES(${PKTOOLS_BASE_LIB_NAME}
PROPERTIES
        SOVERSION ${PKTOOLS_BASE_VERSION}
        VERSION ${PKTOOLS_BASE_VERSION}
)

SET_TARGET_PROPERTIES(${PKTOOLS_IMAGECLASSES_LIB_NAME}
PROPERTIES
        SOVERSION ${PKTOOLS_IMAGECLASSES_VERSION}
        VERSION ${PKTOOLS_IMAGECLASSES_VERSION}
)

SET_TARGET_PROPERTIES(${PKTOOLS_ALGORITHMS_LIB_NAME}
PROPERTIES
        SOVERSION ${PKTOOLS_ALGORITHMS_VERSION}
        VERSION ${PKTOOLS_ALGORITHMS_VERSION}
)

SET_TARGET_PROPERTIES(${PKTOOLS_FILECLASSES_LIB_NAME}
PROPERTIES
        SOVERSION ${PKTOOLS_FILECLASSES_VERSION}
        VERSION ${PKTOOLS_FILECLASSES_VERSION}
)

if (BUILD_WITH_LIBLAS)
	SET_TARGET_PROPERTIES(${PKTOOLS_LASCLASSES_LIB_NAME}
	PROPERTIES
        SOVERSION ${PKTOOLS_LASCLASSES_VERSION}
        VERSION ${PKTOOLS_LASCLASSES_VERSION}
	)
endif(BUILD_WITH_LIBLAS)
###############################################################################

###############################################################################
# Installation 
install (TARGETS ${PKTOOLS_BASE_LIB_NAME} ${PKTOOLS_IMAGECLASSES_LIB_NAME} ${PKTOOLS_ALGORITHMS_LIB_NAME} ${PKTOOLS_FILECLASSES_LIB_NAME} DESTINATION lib)

install (FILES ${BASE_H} DESTINATION ${PROJECT_INCLUDE_DIR}/base)
install (FILES ${IMGCLASS_H} DESTINATION ${PROJECT_INCLUDE_DIR}/imageclasses)
install (FILES ${ALGOR_H} DESTINATION ${PROJECT_INCLUDE_DIR}/algorithms)
install (FILES ${FILECLASS_H} DESTINATION ${PROJECT_INCLUDE_DIR}/fileclasses)

if (BUILD_WITH_LIBLAS)
install (TARGETS ${PKTOOLS_LASCLASSES_LIB_NAME} DESTINATION lib)
install (FILES ${LASCLASS_H} DESTINATION ${PROJECT_INCLUDE_DIR}/lasclasses)
endif(BUILD_WITH_LIBLAS)
###############################################################################

## pktools 2.5.2+20140505

=== debian/changelog ===
pktools (2.5.2+20140505-1) unstable; urgency=low

  * Initial release (closes: #732531).

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 27 Mar 2014 15:57:15 +0100

=== debian/control ===
Source: pktools
Section: science
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
Build-Depends: debhelper (>= 9)
 , autotools-dev
 , libgdal-dev (>=1.10.0-0~)
 , libgsl0-dev
 , libboost-dev
 , libarmadillo-dev
 , libfann-dev
 , liblas-c-dev
 , libsvm-dev
 , libnlopt-dev
Standards-Version: 3.9.5
Homepage: http://www.nongnu.org/pktools/html/index.html
Vcs-Browser:  http://anonscm.debian.org/gitweb/?p=pkg-grass/pktools.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/pktools.git

Package: pktools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Enhances: gdal-bin
Description: GDAL add-on tools to perform useful raster processing
 Pktools is a collection of programs to perform operations, mostly on 
 raster geolocated  images. It  heavily relies  on the  Geospatial Data 
 Abstraction Library (GDAL) and OGR.  The programs are similar to the 
 GDAL tools (gdalinfo, gdal_translate,  gdal_merge, ...) and some of the 
 functionalities provided in pktools already exist in the GDAL tools. 
 .
 All utilities in pktools use command line options and have a built 
 in help. They include more than thirty binaries to edit, change, crop,
 classify, compare, dump, fill, enhance images and many other 
 common operations useful in the remote sensing field of image 
 analysis.

Package: pktools-dev
Architecture: any
Section: libdevel
Depends: pktools (= ${binary:Version})
 , ${misc:Depends}
 , libgdal-dev
 , libarmadillo-dev
 , liblas-c-dev
 , libgsl0-dev
Description: GDAL add-on tools to perform useful raster processing
 A collection of programs to perform operations, mostly on raster images. 
 It heavily relies on the Geospatial Data Abstraction Library (GDAL) and OGR. 
 The programs are similar to the GDAL tools (gdalinfo, gdal_translate, 
 gdal_merge,...) and some of the functionalities provided in pktools 
 already exist in the GDAL tools. 
 .
 All utilities in pktools use command line options and have a built 
 in help, and include more than thirty binaries to edit, change, crop,
 classify, compare, dump, fill, enhance images and many other 
 common operations useful in the remote sensing field of image 
 analysis.
 .
 This package contains the files needed to develop a software that
 uses the pktools libraries.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --buildsystem autoconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-fann --enable-las --enable-nlopt

override_dh_clean:
	dh_clean
	find $(CURDIR) -name '*.o' -delete
	find $(CURDIR) -name '*.so*' -delete
	find $(CURDIR) -name '*.a' -delete

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3
http://download.savannah.gnu.org/releases/pktools/ pktools-(.*)\.tar\.gz

## pktools 2.5.3

=== debian/changelog ===
pktools (2.5.3-1) unstable; urgency=medium

  [ Ross Gammon ]
  * Team upload.
  * Ignore quilt files and unapply patches after build

  [ Bas Couwenberg ]
  * New upstream release.
    (closes: #757584)
  * Update copyright file.
  * Remove latest_libLAS_support.patch, included upstream.
  * Remove bandwidth-typo.patch, applied upstream.
  * Add a patch by Christian Kastner from libfann fixing the va_list issue on
    arm*. Thanks Gilles Filippini for pointing out the patch.
    (closes: #757979)

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 15 Aug 2014 19:29:24 +0200

pktools (2.5.2+20140505-2) unstable; urgency=medium

  [ Ross Gammon ]
  * Team upload.
  * Support for hfd5 transition to v1.8.13.
    Thanks to Gilles Filippini (Closes: #756707)

  [ Bas Couwenberg ]
  * Handle common watch file issues, don't match pktools-latest.tar.gz.
  * Fix duplicate short description.
  * Add patch to fix 'bandwidth' typo.
  * Use dh-autoreconf for retooling.
    (closes: #756653)
  * Add patch to set subdir-objects automake option for forward compatibility.
  * Add gbp.conf to use pristine-tar by default.

 -- Ross Gammon <rossgammon@mail.dk>  Sat, 09 Aug 2014 11:22:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,28 @@
 Source: pktools
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
 Section: science
 Priority: optional
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
-Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
-Build-Depends: debhelper (>= 9)
- , autotools-dev
- , libgdal-dev (>=1.10.0-0~)
- , libgsl0-dev
- , libboost-dev
- , libarmadillo-dev
- , libfann-dev
- , liblas-c-dev
- , libsvm-dev
- , libnlopt-dev
+Build-Depends: debhelper (>= 9),
+               dh-autoreconf,
+               autotools-dev,
+               libgdal-dev (>=1.10.0-0~),
+               libgsl0-dev,
+               libboost-dev,
+               libarmadillo-dev,
+               libfann-dev,
+               liblas-c-dev,
+               libsvm-dev,
+               libnlopt-dev
 Standards-Version: 3.9.5
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/pktools.git
+Vcs-Git: git://anonscm.debian.org/pkg-grass/pktools.git
 Homepage: http://www.nongnu.org/pktools/html/index.html
-Vcs-Browser:  http://anonscm.debian.org/gitweb/?p=pkg-grass/pktools.git
-Vcs-Git: git://anonscm.debian.org/pkg-grass/pktools.git
 
 Package: pktools
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Enhances: gdal-bin
 Description: GDAL add-on tools to perform useful raster processing
  Pktools is a collection of programs to perform operations, mostly on 
@@ -38,13 +40,13 @@
 Package: pktools-dev
 Architecture: any
 Section: libdevel
-Depends: pktools (= ${binary:Version})
- , ${misc:Depends}
- , libgdal-dev
- , libarmadillo-dev
- , liblas-c-dev
- , libgsl0-dev
-Description: GDAL add-on tools to perform useful raster processing
+Depends: pktools (= ${binary:Version}),
+         ${misc:Depends},
+         libgdal-dev,
+         libarmadillo-dev,
+         liblas-c-dev,
+         libgsl0-dev
+Description: GDAL add-on tools to perform useful raster processing - development files
  A collection of programs to perform operations, mostly on raster images. 
  It heavily relies on the Geospatial Data Abstraction Library (GDAL) and OGR. 
  The programs are similar to the GDAL tools (gdalinfo, gdal_translate, 
@@ -59,3 +61,4 @@
  .
  This package contains the files needed to develop a software that
  uses the pktools libraries.
+

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,12 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial/libhdf5.so),)
+	export DEB_CXXFLAGS_MAINT_APPEND := -I/usr/include/hdf5/serial
+endif
+
 %:
-	dh $@  --buildsystem autoconf
+	dh $@  --buildsystem autoconf --with autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-fann --enable-las --enable-nlopt

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
opts=dversionmangle=s/\+(debian|dfsg|ds|deb|\d+)\d*$//,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
http://download.savannah.gnu.org/releases/pktools/ (?:|.*/)pktools(?:[_\-]v?|)(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## pktools 2.6.4

=== debian/changelog ===
pktools (2.6.4-2ubuntu1) wily; urgency=medium

  * Merge from Debian unstable.
  * Debian maintainer has opted out of a library package name transition;
    revert our changes, and add a Conflicts/Replaces/Provides back against
    the v5 package names.  This delta can be dropped after the wily release.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 22 Aug 2015 19:34:13 -0700

pktools (2.6.4-2) unstable; urgency=medium

  * Update symbols for other architectures except mips*,
    the experimental buildds for mips* aren't active at the moment.
    (closes: #791240)
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 22 Aug 2015 12:37:31 +0200

pktools (2.6.4-2~exp1) experimental; urgency=medium

  * Update symbols for amd64 with GCC 5.
  * Require at least liblas-c-dev 1.8.0-4~ for GCC 5 changes.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 21 Aug 2015 20:06:03 +0200

pktools (2.6.4-1ubuntu2) wily; urgency=medium

  * No-change rebuild against libgdal1i

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 23 Aug 2015 01:23:38 +0000

pktools (2.6.4-1ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Aug 2015 01:42:45 +0000

pktools (2.6.4-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 08 Jul 2015 21:55:01 +0200

pktools (2.6.4-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop patch applied upstream, refresh remaining patch.
  * Add manpage for pkreclass.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Jul 2015 01:09:13 +0200

pktools (2.6.3-2) unstable; urgency=medium

  * Add patch to fix build failure with GCC 5.
    (closes: #778065)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 26 Jun 2015 12:56:08 +0200

pktools (2.6.3-1) unstable; urgency=medium

  * Set the date embedded in man pages to the changelog date for
    reproducible builds.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 26 Apr 2015 22:38:18 +0200

pktools (2.6.3-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update copyright years in copyright file.
  * Update man pages for upstream changes.
  * Drop deprecated-noinst.patch, applied upstream.
  * Add man pages for pkstat & pkkalman.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 08 Mar 2015 16:37:16 +0100

pktools (2.6.2-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update man pages with changes in upstream docs.
  * Update Vcs-Browser URL to use cgit instead of gitweb.
  * Add patch to not install deprecated utilities.
  * Update my email to @debian.org address.
  * Update copyright file, move licenses to stand-alone paragraphs.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 02 Mar 2015 23:42:52 +0100

pktools (2.6.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Remove libbase package, library no longer installed.
  * Add man page for pkann, pkascii2img, pkascii2ogr, pkcomposite, pkcreatect,
    pkcrop, pkdiff, pkdsm2shadow, pkdumpimg, pkdumpogr, pkegcs, pkextract,
    pkfillnodata, pkfilter, pkfilterascii, pkfilterdem, pkfsann, pkfssvm,
    pkgetmask, pkinfo, pklas2img, pkoptsvm, pkpolygonize, pkregann, pksetmask,
    pksieve, pkstatascii, pkstatogr & pksvm.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 12 Dec 2014 14:58:42 +0100

pktools (2.5.4-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Add myself to Uploaders.
  * Drop fann-va_list.patch, applied upstream.
  * Update copyright file, add autotools files.
  * Split binaries and libraries into separate packages.
  * Override dh_install to list missing files.
  * Update symbols for amd64.
  * Add upstream metadata.
  * Include config.h & pktools.pc in pktools-dev.
  * Remove .la files before install.
  * Bump Standards-Version to 3.9.6, changes: symbols.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 14 Nov 2014 23:06:42 +0100

=== debian/control ===
Source: pktools
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               autotools-dev,
               libgdal-dev (>= 1.10.0-0~),
               libgsl0-dev,
               libboost-dev,
               libarmadillo-dev,
               libfann-dev,
               liblas-c-dev (>= 1.8.0-4~),
               libsvm-dev,
               libnlopt-dev,
               pkg-kde-tools,
               docbook2x,
               docbook-xsl,
               docbook-xml,
               xsltproc
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-grass/pktools.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/pktools.git
Homepage: http://pktools.nongnu.org/

Package: pktools
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Enhances: gdal-bin
Description: GDAL add-on tools to perform useful raster processing
 Pktools is a collection of programs to perform operations, mostly on 
 raster geolocated  images. It  heavily relies  on the  Geospatial Data 
 Abstraction Library (GDAL) and OGR.  The programs are similar to the 
 GDAL tools (gdalinfo, gdal_translate,  gdal_merge, ...) and some of the 
 functionalities provided in pktools already exist in the GDAL tools. 
 .
 All utilities in pktools use command line options and have a built 
 in help. They include more than thirty binaries to edit, change, crop,
 classify, compare, dump, fill, enhance images and many other 
 common operations useful in the remote sensing field of image 
 analysis.

Package: pktools-dev
Architecture: any
Section: libdevel
Depends: libalgorithms1 (= ${binary:Version}),
         libfileclasses1 (= ${binary:Version}),
         libimageclasses1 (= ${binary:Version}),
         liblasclasses1 (= ${binary:Version}),
         ${misc:Depends},
         libgdal-dev,
         libarmadillo-dev,
         liblas-c-dev,
         libgsl0-dev
Description: GDAL add-on tools to perform useful raster processing - development files
 Pktools is a collection of programs to perform operations, mostly on 
 raster geolocated  images. It  heavily relies  on the  Geospatial Data 
 Abstraction Library (GDAL) and OGR.  The programs are similar to the 
 GDAL tools (gdalinfo, gdal_translate,  gdal_merge, ...) and some of the 
 functionalities provided in pktools already exist in the GDAL tools. 
 .
 All utilities in pktools use command line options and have a built 
 in help, and include more than thirty binaries to edit, change, crop,
 classify, compare, dump, fill, enhance images and many other 
 common operations useful in the remote sensing field of image 
 analysis.
 .
 This package contains the files needed to develop a software that
 uses the pktools libraries.

Package: libalgorithms1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: pktools (<< 2.5.4)
Replaces: libalgorithms1v5, pktools (<< 2.5.4)
Conflicts: libalgorithms1v5
Provides: libalgorithms1v5
Description: GDAL add-on tools to perform useful raster processing - libalgorithms
 Pktools is a collection of programs to perform operations, mostly on 
 raster geolocated  images. It  heavily relies  on the  Geospatial Data 
 Abstraction Library (GDAL) and OGR.  The programs are similar to the 
 GDAL tools (gdalinfo, gdal_translate,  gdal_merge, ...) and some of the 
 functionalities provided in pktools already exist in the GDAL tools. 
 .
 All utilities in pktools use command line options and have a built 
 in help, and include more than thirty binaries to edit, change, crop,
 classify, compare, dump, fill, enhance images and many other 
 common operations useful in the remote sensing field of image 
 analysis.
 .
 This package contains the libalgorithms shared library.

Package: libfileclasses1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: pktools (<< 2.5.4)
Replaces: libfileclasses1v5, pktools (<< 2.5.4)
Conflicts: libfileclasses1v5
Provides: libfileclasses1v5
Description: GDAL add-on tools to perform useful raster processing - libfileClasses
 Pktools is a collection of programs to perform operations, mostly on 
 raster geolocated  images. It  heavily relies  on the  Geospatial Data 
 Abstraction Library (GDAL) and OGR.  The programs are similar to the 
 GDAL tools (gdalinfo, gdal_translate,  gdal_merge, ...) and some of the 
 functionalities provided in pktools already exist in the GDAL tools. 
 .
 All utilities in pktools use command line options and have a built 
 in help, and include more than thirty binaries to edit, change, crop,
 classify, compare, dump, fill, enhance images and many other 
 common operations useful in the remote sensing field of image 
 analysis.
 .
 This package contains the libfileClasses shared library.

Package: libimageclasses1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: pktools (<< 2.5.4)
Replaces: libimageclasses1v5, pktools (<< 2.5.4)
Conflicts: libimageclasses1v5
Provides: libimageclasses1v5
Description: GDAL add-on tools to perform useful raster processing - libimageClasses
 Pktools is a collection of programs to perform operations, mostly on 
 raster geolocated  images. It  heavily relies  on the  Geospatial Data 
 Abstraction Library (GDAL) and OGR.  The programs are similar to the 
 GDAL tools (gdalinfo, gdal_translate,  gdal_merge, ...) and some of the 
 functionalities provided in pktools already exist in the GDAL tools. 
 .
 All utilities in pktools use command line options and have a built 
 in help, and include more than thirty binaries to edit, change, crop,
 classify, compare, dump, fill, enhance images and many other 
 common operations useful in the remote sensing field of image 
 analysis.
 .
 This package contains the libimageClasses shared library.

Package: liblasclasses1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: pktools (<< 2.5.4)
Replaces: liblasclasses1v5, pktools (<< 2.5.4)
Conflicts: liblasclasses1v5
Provides: liblasclasses1v5
Description: GDAL add-on tools to perform useful raster processing - liblasClasses
 Pktools is a collection of programs to perform operations, mostly on 
 raster geolocated  images. It  heavily relies  on the  Geospatial Data 
 Abstraction Library (GDAL) and OGR.  The programs are similar to the 
 GDAL tools (gdalinfo, gdal_translate,  gdal_merge, ...) and some of the 
 functionalities provided in pktools already exist in the GDAL tools. 
 .
 All utilities in pktools use command line options and have a built 
 in help, and include more than thirty binaries to edit, change, crop,
 classify, compare, dump, fill, enhance images and many other 
 common operations useful in the remote sensing field of image 
 analysis.
 .
 This package contains the liblasClasses shared library.

## pktools 2.6.6

=== debian/changelog ===
pktools (2.6.6-1) unstable; urgency=medium

  * Update Vcs-Git URL to use HTTPS.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 24 Jan 2016 16:13:35 +0100

pktools (2.6.6-1~exp2) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 24 Jan 2016 13:47:35 +0100

pktools (2.6.6-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update manpages for upstream changes.
  * Drop caught-typo.patch, applied upstream.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 22 Jan 2016 12:20:27 +0100

pktools (2.6.5-2) unstable; urgency=medium

  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 21 Dec 2015 11:11:30 +0100

pktools (2.6.5-1) unstable; urgency=medium

  * Update symbols for other architectures (except mips*).
  * Add patch to fix 'caught' typo.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 21 Dec 2015 01:28:44 +0100

pktools (2.6.5-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update libgsl-dev dependency for pktools-dev too.
  * Drop gdal-2.0.patch, applied upstream.
  * Update symbols for amd64.
  * Add manpage for pkstatprofile.
  * Update manpages for upstream changes.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 19 Dec 2015 01:40:30 +0100

pktools (2.6.4-4) unstable; urgency=medium

  * Update Vcs-Browser URL to use HTTPS.
  * Add libgsl-dev as preferred build dependency,
    keep libgsl0-dev as alternative for backports.
  * Add patch to support GDAL 2.0.
    (closes: #802631)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 07 Nov 2015 20:14:34 +0100

pktools (2.6.4-3) unstable; urgency=medium

  * Update symbols for mips*, hppa & x32.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 22 Aug 2015 23:18:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: pktools
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
            Bas Couwenberg <sebastic@debian.org>
 Section: science
@@ -9,7 +8,7 @@
                dh-autoreconf,
                autotools-dev,
                libgdal-dev (>= 1.10.0-0~),
-               libgsl0-dev,
+               libgsl-dev | libgsl0-dev,
                libboost-dev,
                libarmadillo-dev,
                libfann-dev,
@@ -22,8 +21,8 @@
                docbook-xml,
                xsltproc
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-grass/pktools.git
-Vcs-Git: git://anonscm.debian.org/pkg-grass/pktools.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/pktools.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/pktools.git
 Homepage: http://pktools.nongnu.org/
 
 Package: pktools
@@ -55,7 +54,7 @@
          libgdal-dev,
          libarmadillo-dev,
          liblas-c-dev,
-         libgsl0-dev
+         libgsl-dev | libgsl0-dev
 Description: GDAL add-on tools to perform useful raster processing - development files
  Pktools is a collection of programs to perform operations, mostly on 
  raster geolocated  images. It  heavily relies  on the  Geospatial Data 
@@ -79,9 +78,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Breaks: pktools (<< 2.5.4)
-Replaces: libalgorithms1v5, pktools (<< 2.5.4)
-Conflicts: libalgorithms1v5
-Provides: libalgorithms1v5
+Replaces: pktools (<< 2.5.4)
 Description: GDAL add-on tools to perform useful raster processing - libalgorithms
  Pktools is a collection of programs to perform operations, mostly on 
  raster geolocated  images. It  heavily relies  on the  Geospatial Data 
@@ -104,9 +101,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Breaks: pktools (<< 2.5.4)
-Replaces: libfileclasses1v5, pktools (<< 2.5.4)
-Conflicts: libfileclasses1v5
-Provides: libfileclasses1v5
+Replaces: pktools (<< 2.5.4)
 Description: GDAL add-on tools to perform useful raster processing - libfileClasses
  Pktools is a collection of programs to perform operations, mostly on 
  raster geolocated  images. It  heavily relies  on the  Geospatial Data 
@@ -129,9 +124,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Breaks: pktools (<< 2.5.4)
-Replaces: libimageclasses1v5, pktools (<< 2.5.4)
-Conflicts: libimageclasses1v5
-Provides: libimageclasses1v5
+Replaces: pktools (<< 2.5.4)
 Description: GDAL add-on tools to perform useful raster processing - libimageClasses
  Pktools is a collection of programs to perform operations, mostly on 
  raster geolocated  images. It  heavily relies  on the  Geospatial Data 
@@ -154,9 +147,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Breaks: pktools (<< 2.5.4)
-Replaces: liblasclasses1v5, pktools (<< 2.5.4)
-Conflicts: liblasclasses1v5
-Provides: liblasclasses1v5
+Replaces: pktools (<< 2.5.4)
 Description: GDAL add-on tools to perform useful raster processing - liblasClasses
  Pktools is a collection of programs to perform operations, mostly on 
  raster geolocated  images. It  heavily relies  on the  Geospatial Data

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PKTOOLS_VERSION=$(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p' | sed -e 's/\+.*//; s/^[0-9]://')
BUILD_DATE=$(shell dpkg-parsechangelog | sed -ne 's/^Date: //p' | LC_ALL=C date -u "+%d %B %Y" -f -)

ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial/libhdf5.so),)
	export DEB_CXXFLAGS_MAINT_APPEND := -I/usr/include/hdf5/serial
endif

MANPAGES:=$(wildcard debian/man/*.*.xml)

%:
	dh $@ --buildsystem autoconf \
	      --with autoreconf \
	      --with pkgkde_symbolshelper \
	      --parallel

override_dh_auto_configure:
	dh_auto_configure -- --enable-fann --enable-las --enable-nlopt

override_dh_clean:
	dh_clean debian/man/*.1
	find $(CURDIR) -name '*.o' -delete
	find $(CURDIR) -name '*.so*' -delete
	find $(CURDIR) -name '*.a' -delete

override_dh_auto_build:
	# Create man pages from DocBook XML
	for x in $(MANPAGES) ; do \
	  docbook2x-man --string-param header-3="$(BUILD_DATE)" $$x ; \
	  mv `basename $$x | sed 's/.xml$$//'` `dirname $$x` ; \
	done

	dh_auto_build

override_dh_install:
	find debian/tmp/usr/lib -name '*.la' -delete
	dh_install --list-missing

override_dh_makeshlibs:
	dh_makeshlibs -- -v$(PKTOOLS_VERSION) -c0
